gwensemaphore.h File Reference
`#include <gwenhywfar/gwenhywfarapi.h>`

Go to the source code of this file.

## Typedefs

typedef struct GWEN_SEMAPHORE | GWEN_SEMAPHORE

## Functions

GWENHYWFAR_API void | GWEN_Semaphore_free (GWEN_SEMAPHORE *sm)
GWENHYWFAR_API GWEN_SEMAPHORE * | GWEN_Semaphore_new (int initialCount)
GWENHYWFAR_API int | GWEN_Semaphore_Post (GWEN_SEMAPHORE *sm)
GWENHYWFAR_API int | GWEN_Semaphore_Wait (GWEN_SEMAPHORE *sm)

## Typedef Documentation

## GWEN_SEMAPHORE

typedef struct GWEN_SEMAPHORE GWEN_SEMAPHORE

Definition at line 37 of file gwensemaphore.h.

## Function Documentation

## GWEN_Semaphore_free()

GWENHYWFAR_API void GWEN_Semaphore_free | ( | GWEN_SEMAPHORE * | sm | ) |

References GWENHYWFAR_API.

## GWEN_Semaphore_new()

GWENHYWFAR_API GWEN_SEMAPHORE * GWEN_Semaphore_new | ( | int | initialCount | ) |

References GWENHYWFAR_API.

## GWEN_Semaphore_Post()

GWENHYWFAR_API int GWEN_Semaphore_Post | ( | GWEN_SEMAPHORE * | sm | ) |

References GWENHYWFAR_API.

## GWEN_Semaphore_Wait()

GWENHYWFAR_API int GWEN_Semaphore_Wait | ( | GWEN_SEMAPHORE * | sm | ) |

References GWENHYWFAR_API.